# Uses of Class
javax.swing.table.JTableHeader

Packages that use JTableHeader
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.table
Provides classes and interfaces for dealing with `javax.swing.JTable`.

## Uses of JTableHeader in javax.swing

Fields in javax.swing declared as JTableHeader
Modifier and Type
Field
Description
`protected JTableHeader`
JTable.`tableHeader`
The `TableHeader` working with the table.
Methods in javax.swing that return JTableHeader
Modifier and Type
Method
Description
`protected JTableHeader`
JTable.`createDefaultTableHeader()`
Returns the default table header object, which is a `JTableHeader`.
`JTableHeader`
JTable.`getTableHeader()`
Returns the `tableHeader` used by this `JTable`.
Methods in javax.swing with parameters of type JTableHeader
Modifier and Type
Method
Description
`void`
JTable.`setTableHeader(JTableHeader tableHeader)`
Sets the `tableHeader` working with this `JTable` to `newHeader`.

## Uses of JTableHeader in javax.swing.plaf.basic

Fields in javax.swing.plaf.basic declared as JTableHeader
Modifier and Type
Field
Description
`protected JTableHeader`
BasicTableHeaderUI.`header`
The `JTableHeader` that is delegating the painting to this UI.

## Uses of JTableHeader in javax.swing.table

Constructors in javax.swing.table with parameters of type JTableHeader
Modifier
Constructor
Description
``
`AccessibleJTableHeaderEntry(int c, JTableHeader p, JTable t)`
Constructs an AccessibleJTableHeaderEntry